﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;

using TestowanyProgram;

namespace Testy
{
    [TestClass]
    public class UnitTest1
    {
        [TestMethod]
        [Timeout(20)] //czas zakończony w czasie <= 1ms
        public void TestDodawania()
        {
            TestowanaKlasa instancja = new TestowanaKlasa();
            int l1 = 6;
            int l2 = 3;
            int oczekiwanyWynik = 9;

            int wynik = instancja.Dodawanie(l1, l2);

            Assert.AreEqual(oczekiwanyWynik, wynik);
        }

        [TestMethod]
        public void TestDodawania_WiecejDanych()
        {
            TestowanaKlasa instancja = new TestowanaKlasa();
            int[][] liczby =
            {
                new int[] {6,3,9},
                new int[] {5,1,6},
                new int[] {16,3,19}
            };

            for (int i = 0; i < 3; ++i)
            {
                int l1 = liczby[i][0];
                int l2 = liczby[i][1]; ;
                int oczekiwanyWynik = liczby[i][2]; ;

                int wynik = instancja.Dodawanie(l1, l2);

                Assert.AreEqual(oczekiwanyWynik, wynik);
            }
        }

        [TestMethod]
        public void TestDzielenia()
        {
            TestowanaKlasa instancja = new TestowanaKlasa();
            int l1 = 6;
            int l2 = 3;

            int oczekiwanyWynik = 2;

            int wynik = instancja.Dzielenie(l1, l2);

            Assert.AreEqual(oczekiwanyWynik, wynik);
        }

        [TestMethod]
        [ExpectedException(typeof(DivideByZeroException))]
        public void TestDzielenia_Wyjatek()
        {
            TestowanaKlasa instancja = new TestowanaKlasa();
            int l1 = 1;
            int l2 = 0;            

            int wynik = instancja.Dzielenie(l1, l2);
        }
    }
}
